package com.pqs9000.pojo.common;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author hongawen
 * @version 1.0
 * @Date 2018/6/13 14:49
 */
public class PowerQualityData implements Serializable{
	List<AreaPowerQualityData> syn=new ArrayList<>();
	List<AreaPowerQualityData> synData=new ArrayList<>();
	List<AreaPowerQualityData> vuDevs=new ArrayList<>();
	List<AreaPowerQualityData> freqDev=new ArrayList<>();
	List<AreaPowerQualityData> dataPlt=new ArrayList<>();
	List<AreaPowerQualityData> vunbalanceCp95=new ArrayList<>();
	List<AreaPowerQualityData> vThdCp95=new ArrayList<>();

	public List<AreaPowerQualityData> getSyn() {
		return syn;
	}

	public void setSyn(List<AreaPowerQualityData> syn) {
		this.syn = syn;
	}

	public List<AreaPowerQualityData> getSynData() {
		return synData;
	}

	public void setSynData(List<AreaPowerQualityData> synData) {
		this.synData = synData;
	}

	public List<AreaPowerQualityData> getVuDevs() {
		return vuDevs;
	}

	public void setVuDevs(List<AreaPowerQualityData> vuDevs) {
		this.vuDevs = vuDevs;
	}

	public List<AreaPowerQualityData> getFreqDev() {
		return freqDev;
	}

	public void setFreqDev(List<AreaPowerQualityData> freqDev) {
		this.freqDev = freqDev;
	}

	public List<AreaPowerQualityData> getDataPlt() {
		return dataPlt;
	}

	public void setDataPlt(List<AreaPowerQualityData> dataPlt) {
		this.dataPlt = dataPlt;
	}

	public List<AreaPowerQualityData> getVunbalanceCp95() {
		return vunbalanceCp95;
	}

	public void setVunbalanceCp95(List<AreaPowerQualityData> vunbalanceCp95) {
		this.vunbalanceCp95 = vunbalanceCp95;
	}

	public List<AreaPowerQualityData> getvThdCp95() {
		return vThdCp95;
	}

	public void setvThdCp95(List<AreaPowerQualityData> vThdCp95) {
		this.vThdCp95 = vThdCp95;
	}

	@Override
	public String toString() {
		return "PowerQualityData{" +
				"synData=" + synData +
				", vuDevs=" + vuDevs +
				", freqDev=" + freqDev +
				", dataPlt=" + dataPlt +
				", vunbalanceCp95=" + vunbalanceCp95 +
				", vThdCp95=" + vThdCp95 +
				'}';
	}
}
